// Tämän on koko sovelluksen päämoduuli joka sisältää
// kaikki muut moduulit ja komponentit

import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { NavbarComponent } from './navbar/navbar.component';
import { ContactlistComponent } from './contactlist/contactlist.component';
import { ContactnewComponent } from './contactnew/contactnew.component';
// Dekoraattori joka tekee tästä moduulin ja sisältää
// muutamia määrityksiä
@NgModule({
  declarations: [
    AppComponent,
    NavbarComponent,
    ContactlistComponent,
    ContactnewComponent,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent] // mistä komponentista sovellus käynnistyy
})
export class AppModule { }
