// importataan tarvittavat kirjastot
import { Component, OnInit } from '@angular/core';
import { mockcontacts } from '../mock-contacts';
/*
@Component -dekoraattori eli annotaatio tekee luokasta
komponentin ja antaa sille olion sisällä pari määritystä
*/
@Component({
  selector: 'app-contactlist', // komponentin tagin nimi
  templateUrl: './contactlist.component.html', // polku komponentin templaattiosaan
  styleUrls: ['./contactlist.component.css'] // polku komponentin omaan css:ään
})
// komponentin luokkaosa eli TS-luokka
// toteuttaa OnInit -rajapinnan josta metodi ngOnInit
export class ContactlistComponent implements OnInit {

  // otetaan mockcontacts komponenttiin sisään
  contacts = mockcontacts;

  constructor() { }

  ngOnInit() {
  }

}
